#pip3 extract

%global srcname async-timeout

Name:           python3-%{srcname}
Version:        4.0.2
Release:        %mkrel 1
Summary:        An asyncio-compatible timeout context manager
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/aio-libs/async-timeout
BuildArch:      noarch

%description
asyncio-compatible timeout context manager
The context manager is useful in cases when you want to apply timeout
logic around block of code or in cases when asyncio.wait_for() is not
suitable. Also it's much faster than asyncio.wait_for() because timeout
doesn't create a new task.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/%{_libdir}/python3.10/site-packages

pip3 install -t %buildroot/%{_libdir}/python3.10/site-packages async-timeout

%files -n python3-%{srcname}
%{_libdir}/python3.10/site-packages

%changelog
* Mon Aug 08 2022 tex - 4.0.2-1pclos2022
- new version
